Zur Dokumentation springen
Dashboard öffnen
Auf dieser Seite

POST /mcp

Dokumentierte Anfragefelder und Berechtigungen dieses HTTP-Endpunkts verwenden.

Anfragebeispiel#

curl -X POST 'https://platform.tongai.io/mcp' \  -H "Authorization: Bearer $TONG_API_KEY" \  -H "Accept: application/json, text/event-stream" \  -H "MCP-Protocol-Version: 2025-11-25" \  -H "Content-Type: application/json" \  -d '{  "jsonrpc": "2.0",  "id": 1,  "method": "initialize",  "params": {    "protocolVersion": "2025-11-25",    "capabilities": {},    "clientInfo": {      "name": "your-app",      "version": "1.0.0"    }  }}'
Konfiguration
curl --version

Authentifizierung#

API-Schlüssel serverseitig für das eigene Konto verwenden, OAuth für Kundenkonten. Schlüssel nie in Prompts oder Werkzeugargumenten senden.

Parameter#

MCP-Protocol-VersionstringOptional
Idempotency-KeystringOptional

Eine UUID, zum Beispiel e8aa0a87-6cd9-42eb-975a-b72bf43218c8.

Anfrageinhalt#

application/json
jsonrpcJSONErforderlich
Zulässige Werte"2.0"
idstring | integerOptional
methodstringErforderlich
paramsobjectOptional

Antwortschema#

JSON
{  "jsonrpc": "2.0",  "id": 1,  "result": {    "protocolVersion": "2025-11-25",    "capabilities": {      "tools": {},      "resources": {}    },    "serverInfo": {      "name": "tong-developer-tools",      "version": "0.1.0"    }  }}

Fehler und Limits#

JSON
{  "jsonrpc": "2.0",  "id": 2,  "result": {    "isError": true,    "content": [      {        "type": "text",        "text": "{\"error\":{\"code\":\"REQUEST_INVALID\",\"message\":\"Check the request fields and try again.\",\"request_id\":\"e8aa0a87-6cd9-42eb-975a-b72bf43218c8\",\"retryable\":false},\"request_id\":\"e8aa0a87-6cd9-42eb-975a-b72bf43218c8\"}"      }    ]  }}